Bug 432203 - flex 2.5.33 causes warnings about omitted function prototypes
flex 2.5.33 causes warnings about omitted function prototypes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: flex (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
https://sourceforge.net/tracker/?func...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 15:23 EST by Tom Lane
Modified: 2015-05-04 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.5.33-14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:09:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2008-02-09 15:23:48 EST
Description of problem:
There's an error in the flex skeleton such that when generating a non-reentrant scanner, it omits
prototypes for a dozen or so functions, resulting in warnings if the code is compiled with -Wmissing-
prototypes.  A patch has now been accepted for this upstream (see URL), but I'd like to have it in F-8 so 
I don't have to look at the warnings.

Version-Release number of selected component (if applicable):
flex-2.5.33-anything

Additional info:
Patch is here:
http://flex.cvs.sourceforge.net/flex/flex/flex.skl?r1=2.211&r2=2.212
Comment 1 Fedora Update System 2008-02-11 07:36:02 EST
flex-2.5.33-14.fc8 has been submitted as an update for Fedora 8
Comment 2 Tom Lane 2008-02-14 01:31:01 EST
Update fixes it for me --- thanks!
Comment 3 Fedora Update System 2008-02-15 21:09:38 EST
flex-2.5.33-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.